## zpaqfranz 60.7

=== debian/changelog ===
zpaqfranz (60.7-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 14 Oct 2024 13:19:10 +0200

zpaqfranz (59.5-1~exp1) experimental; urgency=medium

  * Initial release. Closes: #1019139.

 -- Stephen Kitt <skitt@debian.org>  Fri, 17 May 2024 09:08:57 +0200
