## zpaqfranz 60.9

=== debian/changelog ===
zpaqfranz (60.9-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 17 Nov 2024 19:00:50 +0100
