## zpaqfranz 60.10

=== debian/changelog ===
zpaqfranz (60.10-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 01 Feb 2025 11:22:17 +0100
