=== debian/control ===
Source: zpaqfranz
Section: utils
Priority: optional
Maintainer: Stephen Kitt <skitt@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/zpaqfranz
Vcs-Git: https://salsa.debian.org/debian/zpaqfranz.git
Homepage: https://github.com/fcorbelli/zpaqfranz/
Rules-Requires-Root: no

Package: zpaqfranz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Swiss army knife for backup and disaster recovery
 The PAQ family is a series of open source data compression archivers
 that have evolved through collaborative development to top rankings
 on several benchmarks measuring compression ratio although at the
 expense of speed and memory usage.
 .
 This package provides zpaqfranz, a much-extended derivative of the
 zpaq reference implementation. It adds support for multiple versions
 of files, selectable hash algorithms, deduplication, password
 protection, and many other features.
