=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk
ifneq ($(DEB_HOST_GNU_CPU), x86_64)
  DEB_CPPFLAGS_MAINT_APPEND = -DNOJIT
endif

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -Dunix"

override_dh_auto_install:
	mkdir -p debian/zpaqfranz/usr/bin
	dh_auto_install -- BINDIR=/usr/bin

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	./zpaqfranz autotest
endif
