## zpaqfranz 62.2

=== debian/changelog ===
zpaqfranz (62.2-2) unstable; urgency=medium

  * Fix the libcurl dependency.

 -- Stephen Kitt <skitt@debian.org>  Fri, 18 Apr 2025 08:33:02 +0200

zpaqfranz (62.2-1) unstable; urgency=medium

  * New upstream release.
  * Enable SFTP support with libcurl4.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 06 Apr 2025 14:41:04 +0200
