=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Stephen Kitt <skitt@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/zpaqfranz
 Vcs-Git: https://salsa.debian.org/debian/zpaqfranz.git
 Homepage: https://github.com/fcorbelli/zpaqfranz/
@@ -11,7 +11,7 @@
 
 Package: zpaqfranz
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libcurl4t64
 Description: Swiss army knife for backup and disaster recovery
  The PAQ family is a series of open source data compression archivers
  that have evolved through collaborative development to top rankings
