=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	dh $@
 
 override_dh_auto_build:
-	dh_auto_build -- CFLAGS="$(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -Dunix"
+	dh_auto_build -- CFLAGS="$(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -Dunix -DSFTP"
 
 override_dh_auto_install:
 	mkdir -p debian/zpaqfranz/usr/bin
