=== debian/changelog ===
zpaqfranz (63.3-2) unstable; urgency=medium

  * Stop installing /usr/bin/dir, it conflicts with coreutils.

 -- Stephen Kitt <skitt@debian.org>  Fri, 26 Sep 2025 17:32:36 +0200

zpaqfranz (63.3-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 26 Sep 2025 17:14:40 +0200
