=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk
DEB_CPPFLAGS_MAINT_APPEND := -Dunix -DSFTP
ifneq ($(DEB_HOST_GNU_CPU), x86_64)
  DEB_CPPFLAGS_MAINT_APPEND += -DNOJIT
endif
ifeq ($(DEB_HOST_ARCH_ENDIAN), big)
  DEB_CPPFLAGS_MAINT_APPEND += -DBIG
endif

DPKG_EXPORT_BUILDFLAGS := 1
include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_install:
	mkdir -p debian/zpaqfranz/usr/bin
	dh_auto_install -- BINDIR=/usr/bin
	rm -f debian/zpaqfranz/usr/bin/dir

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	./zpaqfranz autotest
endif
